#!/bin/bash
echo -----------------------------------
echo Using pip to install Python $PY_VER version of tensorflow-addons
if [ `uname` == Linux ]; then
    if [ "$PY_VER" == "3.6" ]; then
        wheel_url=https://files.pythonhosted.org/packages/92/07/bbeddd8d3f3d2e99ee35f52f7701846598490cc0ef52a47bdcde17a4e128/tensorflow_addons-0.9.1-cp36-cp36m-manylinux2010_x86_64.whl
    elif [ "$PY_VER" == "3.7" ]; then
        wheel_url=https://files.pythonhosted.org/packages/20/aa/3732e4371470d593e8f47ecc6c6277ee8d54053631de3773a5ddf8011ff2/tensorflow_addons-0.9.1-cp37-cp37m-manylinux2010_x86_64.whl
    # elif [ "$PY_VER" == "3.8" ]; then
    #     wheel_url=https://files.pythonhosted.org/packages/72/c7/1f4e6f8c21e765065098a74f9e1870f982b0172ec8eaa97f960995ecd70c/tensorflow_addons-0.11.2-cp38-cp38-manylinux2010_x86_64.whl
    fi
fi


if ["$wheel_url" == ""]; then
    echo Unsupported Python version $PY_VER.
    exit 1
fi

$PYTHON -m pip install --no-deps $wheel_url -vv

errorlevel=$?
echo $status
echo ERRORLEVEL: $rc
exit $rc

